## sysvinit 3.05

=== src/Makefile ===
#
# Makefile	Makefile for the systemV init suite.
#		Targets:   all      compiles everything
#		           install  installs the binaries (not the scripts)
#                          clean    cleans up object files
#			   clobber  really cleans up
#
# Version:	@(#)Makefile  2.85-13  23-Mar-2004  miquels@cistron.nl
#

CPPFLAGS =
CFLAGS  ?= -O2
override CFLAGS += -ansi -fomit-frame-pointer -fstack-protector-strong -W -Wall -Wunreachable-code -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2 -D_XOPEN_SOURCE -D_GNU_SOURCE -DVERSION=\"$(VERSION)\"
override CFLAGS += $(shell getconf LFS_CFLAGS)
STATIC	=
MANDB	:= s@^\('\\\\\"\)[^\*-]*-\*- coding: [^[:blank:]]\+ -\*-@\1@

#
# Leave empty if the mountpoint(1) command from util-linux 2.20
# and above should be used, otherwise set it to yes.
#
MNTPOINT=

# For some known distributions we do not build all programs, otherwise we do.
BIN	=
SBIN	= init halt shutdown runlevel killall5 fstab-decode logsave
USRBIN	= last mesg readbootlog

MAN1	= last.1 lastb.1 mesg.1 readbootlog.1
MAN5	= initscript.5 inittab.5 initctl.5
MAN8	= halt.8 init.8 killall5.8 pidof.8 poweroff.8 reboot.8 runlevel.8
MAN8	+= shutdown.8 telinit.8 fstab-decode.8 logsave.8

ifeq ($(DISTRO),)
SBIN	+= sulogin bootlogd
USRBIN	+= utmpdump wall
MAN1	+= utmpdump.1 wall.1
MAN8	+= sulogin.8 bootlogd.8
endif

ifeq ($(DISTRO),Debian)
CPPFLAGS+= -DACCTON_OFF
SBIN	+= sulogin bootlogd
MAN8	+= sulogin.8 bootlogd.8
MANDB	:=
endif

ifeq ($(DISTRO),Owl)
USRBIN	+= wall
MAN1	+= wall.1
MANDB	:=
endif

ifeq ($(DISTRO),SuSE)
CPPFLAGS+= -DUSE_SYSFS -DSANE_TIO -DSIGINT_ONLYONCE -DUSE_ONELINE
SBIN	+= sulogin
USRBIN	+= utmpdump
MAN1	+= utmpdump.1
MAN8	+= sulogin.8
MANDB	:=
endif

ifeq ($(MNTPOINT),yes)
BIN	+= mountpoint
MAN1	+= mountpoint.1
endif

ID		= $(shell id -u)
BIN_OWNER	= root
BIN_GROUP	= root
BIN_COMBO	= $(BIN_OWNER):$(BIN_GROUP)
ifeq ($(ID),0)
  INSTALL_EXEC	= install -o $(BIN_OWNER) -g $(BIN_GROUP) -m 755
  INSTALL_DATA	= install -o $(BIN_OWNER) -g $(BIN_GROUP) -m 644
else
  INSTALL_EXEC	= install -m 755
  INSTALL_DATA	= install -m 644
endif
INSTALL_DIR	= install -m 755 -d
MANDIR		= /usr/share/man

ifeq ($(WITH_SELINUX),yes)
  SELINUX_DEF	=  -DWITH_SELINUX
  INITLIBS	+= -lselinux
  SULOGINLIBS	= -lselinux	
else
  SELINUX_DEF	=
  INITLIBS	=
  SULOGINLIBS	=
endif

# Additional libs for GNU libc.
ifneq ($(wildcard $(ROOT)/usr/lib*/libcrypt.*),)
  SULOGINLIBS	+= -lcrypt
endif

# Additional libs for GNU libc / multiarch on Debian based systems.
ifneq ($(wildcard $(ROOT)/usr/lib/*/libcrypt.*),)
ifneq ($(findstring -lcrypt, $(SULOGINLIBS)), -lcrypt)
  SULOGINLIBS	+= -lcrypt
endif
endif

all:		$(BIN) $(SBIN) $(USRBIN)

#%: %.o
#	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LDLIBS)
#%.o: %.c
#	$(CC) $(CFLAGS) $(CPPFLAGS) -c $^ -o $@

init:		LDLIBS += $(INITLIBS) $(STATIC)
init:		init.o init_utmp.o runlevellog.o

halt:		LDLIBS += $(STATIC)
halt:		halt.o ifdown.o hddown.o utmp.o runlevellog.o

last:		LDLIBS += $(STATIC)
last:		last.o

logsave:	LDLIBS += $(STATIC)
logsave:	logsave.o

mesg:		LDLIBS += $(STATIC)
mesg:		mesg.o

mountpoint:	LDLIBS += $(STATIC)
mountpoint:	mountpoint.o

utmpdump:	LDLIBS += $(STATIC)
utmpdump:	utmpdump.o

runlevel:	LDLIBS += $(STATIC)
runlevel:	runlevel.o runlevellog.o

sulogin:	LDLIBS += $(SULOGINLIBS) $(STATIC)
sulogin:	sulogin.o consoles.o

wall:		LDLIBS += $(STATIC)
wall:		dowall.o wall.o

shutdown:	LDLIBS += $(STATIC)
shutdown:	dowall.o shutdown.o utmp.o

bootlogd:	LDLIBS += -lutil $(STATIC)
bootlogd:	bootlogd.o

readbootlog:	LDLIBS += $(STATIC)
readbootlog:	readbootlog.o 

fstab-decode:	LDLIBS += $(STATIC)
fstab-decode:	fstab-decode.o

sulogin.o:	CPPFLAGS += $(SELINUX_DEF)
sulogin.o:	sulogin.c 

runlevellog.o:	runlevellog.h runlevellog.c paths.h

init.o:		CPPFLAGS += $(SELINUX_DEF)
init.o:		init.c init.h initreq.h paths.h reboot.h runlevellog.h runlevellog.c set.h 

utmp.o:		

init_utmp.o:	CPPFLAGS += -DINIT_MAIN
init_utmp.o:	utmp.c init.h initreq.h paths.h
		$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<

bootlogd.o:	bootlogd.c bootlogd.h

readbootlog.o:	readbootlog.c
 
utmpdump.o:	utmpdump.c oldutmp.h

shutdown.o:	shutdown.c paths.h reboot.h initreq.h init.h

halt.o:		halt.c reboot.h paths.h runlevellog.c runlevellog.h

last.o:		last.c oldutmp.h

logsave.o:	logsave.c

consoles.o:	consoles.c consoles.h

cleanobjs:
		rm -f *.o *.bak

clean:		cleanobjs clobber

clobber:	cleanobjs
		rm -f $(BIN) $(SBIN) $(USRBIN)

distclean:	clobber

install:	all
		$(INSTALL_DIR) $(ROOT)/bin/ $(ROOT)/sbin/
		$(INSTALL_DIR) $(ROOT)/usr/bin/
		for i in $(BIN); do \
			$(INSTALL_EXEC) $$i $(ROOT)/bin/ ; \
		done
		for i in $(SBIN); do \
			$(INSTALL_EXEC) $$i $(ROOT)/sbin/ ; \
		done
		for i in $(USRBIN); do \
			$(INSTALL_EXEC) $$i $(ROOT)/usr/bin/ ; \
		done
		# $(INSTALL_DIR) $(ROOT)/etc/
		$(INSTALL_DIR) $(ROOT)/etc/inittab.d
		# $(INSTALL_EXEC) ../doc/initscript.sample $(ROOT)/etc/
		ln -sf halt $(ROOT)/sbin/reboot
		ln -sf halt $(ROOT)/sbin/poweroff
		ln -sf init $(ROOT)/sbin/telinit
		ln -sf /sbin/killall5 $(ROOT)/bin/pidof
		if [ ! -f $(ROOT)/usr/bin/lastb ]; then \
			ln -sf last $(ROOT)/usr/bin/lastb; \
		fi
		$(INSTALL_DIR) $(ROOT)/usr/include/
		$(INSTALL_DATA) initreq.h $(ROOT)/usr/include/
		for lang in  '' $(subst ../man/,,$(wildcard ../man/po/??/)); do \
			$(INSTALL_DIR) $(ROOT)$(MANDIR)/man1/$$lang; \
			$(INSTALL_DIR) $(ROOT)$(MANDIR)/man5/$$lang; \
			$(INSTALL_DIR) $(ROOT)$(MANDIR)/man8/$$lang; \
		done
		for man in $(MAN1) $(subst ../man/,,$(foreach man,$(MAN1),$(wildcard ../man/??/$(man)))); do \
			$(INSTALL_DATA) ../man/$$man $(ROOT)$(MANDIR)/man1/$$man; \
			sed -i "1{ $(MANDB); }" $(ROOT)$(MANDIR)/man1/$$man ; \
		done
		for man in $(MAN5) $(subst ../man/,,$(foreach man,$(MAN5),$(wildcard ../man/??/$(man)))); do \
			$(INSTALL_DATA) ../man/$$man $(ROOT)$(MANDIR)/man5/$$man; \
			sed -i "1{ $(MANDB); }" $(ROOT)$(MANDIR)/man5/$$man ; \
		done
		for man in $(MAN8) $(subst ../man/,,$(foreach man,$(MAN8),$(wildcard ../man/??/$(man)))); do \
			$(INSTALL_DATA) ../man/$$man $(ROOT)$(MANDIR)/man8/$$man; \
			sed -i "1{ $(MANDB); }" $(ROOT)$(MANDIR)/man8/$$man ; \
		done
ifeq ($(ROOT),)
		#
		# This part is skipped on Debian systems, the
		# debian.preinst script takes care of it.
		@if [ ! -p /run/initctl ]; then \
		 echo "Creating /run/initctl"; \
		 rm -f /run/initctl; \
		 mknod -m 600 /run/initctl p; fi
endif

=== debian/changelog ===
sysvinit (3.05-7) unstable; urgency=medium

  * Drop libcrypt-dev from B-Depends, we don't ship sulogin since Stretch
    which was what we needed the library for.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 09 Nov 2022 02:47:46 +0100

sysvinit (3.05-6) unstable; urgency=medium

  * d/control: add Breaks and Replaces manpages-{es,fr,hu,pl} to
    sysvinit-core to avoid init{tab,script}.5 conflict. (Closes: #1020259)

 -- Mark Hindley <leepen@debian.org>  Mon, 19 Sep 2022 11:10:07 +0100

sysvinit (3.05-5) unstable; urgency=medium

  * Don't bother templating lsb-base scripts; this droppage reduces the
    number of moving parts for rebootstrap folks.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 14 Sep 2022 22:38:11 +0200

sysvinit (3.05-4) unstable; urgency=medium

  * sysvinit-utils: allow co-installing with dummy lsb-base; debootstrap
    doesn't understand Provides.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 12 Sep 2022 21:16:07 +0200

sysvinit (3.05-3) unstable; urgency=medium

  * /etc/init.d/rc.local: correct filename for rc.shutdown. (Closes: #1019480)
  * d/control: Remove lsb-base and update versioned sysvinit-utils dependencies.
    Thanks Samuel Thibault. (Closes: #1019529)
  * bootlogd: add lintian override for init.d-script-needs-depends-on-lsb-base.
  * init-d-script: update comment with dependency requirement for
    /lib/lsb/init-functions.

 -- Mark Hindley <leepen@debian.org>  Mon, 12 Sep 2022 10:34:53 +0100

sysvinit (3.05-2) unstable; urgency=medium

  * d/changelog: add missing closes for #959860 in previous version.
  * d/control: add Breaks/Replaces for manpages-fr (<< 4.15.0-9~) to avoid
    bootlogd(8) conflict. (Closes: #1009915)

 -- Mark Hindley <leepen@debian.org>  Fri, 09 Sep 2022 16:56:55 +0100

sysvinit (3.05-1) experimental; urgency=medium

  * New upstream version 3.05
  * d/copyright: add missing entries and sort by date (Closes: #1014511).
  * Support /etc/rc.shutdown based on patch from Patrik Schindler
    <poc@pocnet.net> (Closes: #959860).
  * Take over library scripts from lsb-base.
  * sysvinit-utils: drop unnecessary lsb-base dependency (Closes: #946399).
  * Include upstream translated manpages and divert systemd equivalents in
    manapages-{de,es,fi,fr,hu,id,pl} (Closes: #1009915).

 -- Mark Hindley <leepen@debian.org>  Wed, 24 Aug 2022 13:05:57 +0100

=== debian/control ===
Source: sysvinit
Section: admin
Priority: optional
Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
Uploaders:
 Ian Jackson <ijackson@chiark.greenend.org.uk>,
 Benda Xu <heroxbd@gentoo.org>,
 Adam Borowski <kilobyte@angband.pl>,
 Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>,
 Mark Hindley <leepen@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libselinux1-dev [linux-any],
 po-debconf,
 po4a,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/slicer69/sysvinit
Vcs-Git: https://salsa.debian.org/debian/sysvinit.git
Vcs-Browser: https://salsa.debian.org/debian/sysvinit

Package: sysvinit-core
Architecture: any
Depends:
 initscripts,
 kbdcontrol (>= 8.2+ds2-6) [kfreebsd-any],
 sysv-rc | file-rc | openrc,
 sysvinit-utils (>= 2.86.ds1-66),
 mount [linux-any],
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 systemd-sysv,
 runit-init,
Breaks:
 manpages-es (<< 4.15.0-9~),
 manpages-fr (<< 4.15.0-9~),
 manpages-hu (<< 1:4.15.0-9~),
 manpages-pl (<< 1:4.15.0-9~),
Replaces:
 systemd-sysv,
 sysvinit (<< 2.88dsf-44~),
 runit-init,
 manpages-es (<< 4.15.0-9~),
 manpages-fr (<< 4.15.0-9~),
 manpages-hu (<< 1:4.15.0-9~),
 manpages-pl (<< 1:4.15.0-9~),
Suggests:
 bootlogd,
Recommends:
 orphan-sysvinit-scripts,
Description: System-V-like init
 This package contains programs required for booting
 a Debian system and doing basic process management.
 .
 The most important program in the package is /sbin/init.
 It is the first process started on boot and continues
 to run as process number 1 until the system halts. All
 other processes are descended from it.

Package: sysvinit-utils
Priority: required
Essential: yes
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: lsb-base (<< 11.3~)
Provides: lsb-base (= 11.1.0)
Replaces: lsb-base
Description: System-V-like utilities
 This package contains the important System-V-like utilities.
 .
 Specifically, this package includes:
 init-d-script, fstab-decode, killall5, pidof
 .
 It also contains the library scripts sourced by init-d-script and other
 initscripts that were formally in lsb-base.

Package: sysv-rc
Architecture: all
Multi-Arch: foreign
Depends:
 insserv,
 startpar (>= 0.62-1~),
 sysvinit-utils (>= 3.05-1),
 ${misc:Depends},
Description: System-V-like runlevel change mechanism
 This package provides support for the System-V like system
 for booting, changing runlevels, and shutting down,
 configured through symbolic links in /etc/rc?.d/.

Package: initscripts
Architecture: all
Multi-Arch: foreign
Depends:
 sysvinit-utils (>= 3.05-1),
 sysv-rc | file-rc | openrc,
 ${misc:Depends},
Recommends:
 e2fsprogs,
 psmisc,
Description: scripts for initializing and shutting down the system
 The scripts in this package initialize a standard Debian
 system at boot time and shut it down at halt or reboot time.

Package: bootlogd
Architecture: any
Depends:
 sysvinit-utils (>= 3.05-1),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: manpages-fr (<< 4.15.0-9~),
Replaces: manpages-fr (<< 4.15.0-9~),
Description: daemon to log boot messages
 bootlogd logs all messages printed to the system console during system boot,
 and records those messages to a logfile.
 .
 Note that not all init systems print messages to the system console,
 so that the logfile may remain empty; this is the case with systemd
 (the default init system). Try "journalctl -b" instead.

## sysvinit 3.06

=== man/Makefile ===
MANPAGES=bootlogd.8 fstab-decode.8 halt.8 init.8 initctl.5 initscript.5 inittab.5 \
killall5.8 last.1 lastb.1 logsave.8 mesg.1 mountpoint.1 pidof.8 poweroff.8 \
readbootlog.1 reboot.8 runlevel.8 shutdown.8 sulogin.8 telinit.8 utmpdump.1 \
wall.1

PO4A := $(shell command -v po4a 2> /dev/null)

PO4A_OPTS = --previous --srcdir po/ --destdir ./ --no-backups --stamp \
            --package-name sysvinit --package-version $(VERSION) \
            --msgid-bugs-address "Jesse <jsmith@resonatingmedia.com>"

all:
	sed --in-place=.orig --separate 's/\@VERSION\@/$(VERSION)/g' $(MANPAGES)
ifdef PO4A
	po4a $(PO4A_OPTS) po/po4a.cfg
else
	@echo 'Install po4a to build translated manpages'
endif

# Installation recipes are in ../src/Makefile
install: all

clean distclean:
	for man in $(MANPAGES) ; do \
	   if [ -f "$$man.orig" ] ; then mv "$$man.orig" "$$man" ; fi \
	done
	for lang in $(LANGUAGES) ; do rm -rf "$$lang" "$$lang.po" ; done

=== debian/changelog ===
sysvinit (3.06-4) unstable; urgency=medium

  * Add Romanian debconf translations with thanks to Remus-Gabriel Chelu
    <remusgabriel.chelu@disroot.org>.  (Closes: #1033723)

 -- Mark Hindley <leepen@debian.org>  Mon, 03 Apr 2023 07:25:22 +0100

sysvinit (3.06-3) unstable; urgency=medium

  * Cherry pick hunk from upstream to fix regression in pidof not matching
    symlinks. (Closes: #1033311)
  * Cherry pick upstream patch to fix memory initialisation in pidof.
    (Closes: #1033311)

 -- Mark Hindley <leepen@debian.org>  Thu, 30 Mar 2023 13:59:53 +0100

sysvinit (3.06-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mark Hindley <leepen@debian.org>  Sun, 18 Dec 2022 17:00:20 +0000

sysvinit (3.06-1) experimental; urgency=medium

  * New upstream version 3.06
  * d/control: bump Standards Version (no changes).

 -- Mark Hindley <leepen@debian.org>  Sun, 18 Dec 2022 11:07:46 +0000

sysvinit (3.06~beta1-1) experimental; urgency=medium

  [ Mark Hindley ]
  * New upstream version 3.06~beta1
    - no longer requires libcrypt-dev when not building sulogin
      (Closes: #972315)
    - adds missing German man page translations (Closes: #1021819)
    - includes Portuguese translation of manpages, thanks to
      Américo Monteiro (Closes: #1019168).
  * Remove unnecessary d/p/libcrypt-lib.patch.
  * Add Breaks/Replaces for manpages-de initscripts.5.gz.
  * d/not-installed: add translated versions of initctl.5.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Remove 3 obsolete maintscript entries in 1 files.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Fix day-of-week for changelog entry 2.86.ds1-2.
  * Remove empty maintainer scripts: initscripts (preinst)

 -- Mark Hindley <leepen@debian.org>  Fri, 02 Dec 2022 11:29:21 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  po-debconf,
  po4a,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/slicer69/sysvinit
 Vcs-Git: https://salsa.debian.org/debian/sysvinit.git
 Vcs-Browser: https://salsa.debian.org/debian/sysvinit
@@ -35,6 +35,7 @@
 Breaks:
  manpages-es (<< 4.15.0-9~),
  manpages-fr (<< 4.15.0-9~),
+ manpages-de (<< 4.15.0-9~),
  manpages-hu (<< 1:4.15.0-9~),
  manpages-pl (<< 1:4.15.0-9~),
 Replaces:
@@ -43,6 +44,7 @@
  runit-init,
  manpages-es (<< 4.15.0-9~),
  manpages-fr (<< 4.15.0-9~),
+ manpages-de (<< 4.15.0-9~),
  manpages-hu (<< 1:4.15.0-9~),
  manpages-pl (<< 1:4.15.0-9~),
 Suggests:

=== debian/rules ===
#! /usr/bin/make -f
DEB_BUILD_MAINT_OPTIONS+=hardening=+all
include /usr/share/dpkg/default.mk
include debian/config/selinux.mk

tmp     = $(CURDIR)/debian/tmp
sysvtmp = $(CURDIR)/debian/sysvinit-core
utiltmp = $(CURDIR)/debian/sysvinit-utils
rctmp   = $(CURDIR)/debian/sysv-rc
inittmp = $(CURDIR)/debian/initscripts
bootlogdtmp = $(CURDIR)/debian/bootlogd
doc	= /usr/share/doc

LC_ALL	= POSIX

INSTALL_DATA = install -m 644
INSTALL      = install -m 755

derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")

# Handle cross builds
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
# CROSS is passed to make, CC is called directly.
CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

DH_OPTIONS =

# Use debhelper's dh
%:
	dh $@ $(DH_OPTIONS)

override_dh_auto_build:
	$(MAKE) $(CROSS) $(CONFFLAGS) DISTRO=Debian LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"


override_dh_auto_install-arch:
	$(MAKE) -C src $(CROSS) ROOT=$(tmp) DISTRO=Debian install

override_dh_auto_install-indep:
	$(MAKE) -C debian/src/initscripts install DESTDIR=$(inittmp)

override_dh_install-arch:
	dh_install

	# sysvinit package
	if test -e debian/share/inittab.$(DEB_HOST_GNU_TYPE) ; \
	then \
		$(INSTALL_DATA) \
			debian/share/inittab.$(DEB_HOST_GNU_TYPE) \
			$(sysvtmp)/usr/share/sysvinit/inittab ; \
	elif test -e debian/share/inittab.$(DEB_HOST_GNU_SYSTEM) ; \
	then \
		$(INSTALL_DATA) \
			debian/share/inittab.$(DEB_HOST_GNU_SYSTEM) \
			$(sysvtmp)/usr/share/sysvinit/inittab ; \
	else \
		$(INSTALL_DATA) debian/share/inittab \
			$(sysvtmp)/usr/share/sysvinit/inittab ; \
	fi

	# initscripts package may include /sys
ifneq (,$(findstring $(DEB_HOST_ARCH_OS),linux kfreebsd))
	$(INSTALL) -d $(inittmp)/sys
endif

ifeq ($(derives_from_ubuntu),yes)
ifneq (,$(findstring lsb-base, $(shell dh_listpackages)))
	cp -p debian/src/lsb-base/init-functions.d/50-ubuntu-logging debian/lsb-base/lib/lsb/init-functions.d/
endif
endif

install-arch: build-arch
	dh $@ $(DH_OPTIONS)

override_dh_installchangelogs-arch:
	dh_installchangelogs -psysvinit-core doc/Changelog

	dh_installchangelogs -psysvinit-utils
	rm -f $(utiltmp)$(doc)/sysvinit-utils/changelog
	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
		$(utiltmp)$(doc)/sysvinit-utils/changelog.Debian

	dh_installchangelogs -pbootlogd
	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
		$(bootlogdtmp)$(doc)/bootlogd/changelog.Debian

override_dh_installchangelogs-indep:
	dh_installchangelogs
	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
		$(rctmp)$(doc)/sysv-rc/changelog.Debian

	dh_installchangelogs -pinitscripts
	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
		$(inittmp)$(doc)/initscripts/changelog.Debian

override_dh_installdeb:
	dh_installdeb

ifeq ($(DEB_HOST_ARCH_OS), hurd)
	# The Hurd has its own halt and reboot commands.
	mv $(sysvtmp)/usr/share/man/man8/halt.8.gz $(sysvtmp)/usr/share/man/man8/halt-sysv.8.gz
	rm $(sysvtmp)/usr/share/man/man8/reboot.8.gz
	ln -s halt-sysv.8.gz $(sysvtmp)/usr/share/man/man8/reboot-sysv.8.gz
	rm $(sysvtmp)/usr/share/man/man8/poweroff.8.gz
	ln -s halt-sysv.8.gz $(sysvtmp)/usr/share/man/man8/poweroff-sysv.8.gz
	mv $(sysvtmp)/sbin/halt $(sysvtmp)/sbin/halt-sysv
	rm $(sysvtmp)/sbin/reboot
	ln -s halt-sysv $(sysvtmp)/sbin/reboot-sysv
	rm $(sysvtmp)/sbin/poweroff
	ln -s halt-sysv $(sysvtmp)/sbin/poweroff-sysv
endif

override_dh_clean:
	dh_clean
	$(MAKE) -C src clobber

.PHONY: override_dh_auto_build override_dh_auto_install-arch override_dh_auto_install-indep override_dh_installchangelogs-arch override_dh_installchangelogs-indep override_dh_installdeb-arch override_dh_installdeb-indep override_dh_clean install-arch

## sysvinit 3.07

=== debian/changelog ===
sysvinit (3.07-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2029132). Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils
  * Dropped changes, merged in Debian:
    - d/rules: fix installation of 50-ubuntu-logging when building on Ubuntu
      [Fixed in 3.07-1~exp1]

 -- Olivier Gayot <olivier.gayot@canonical.com>  Mon, 31 Jul 2023 15:26:23 +0200

sysvinit (3.07-1) unstable; urgency=medium

  [ Olivier Gayot ]
  * Drop manual trimming of Debian changelog
  * Use dh_installchangelogs -X instead of deleting changelog manually
  * Remove duplicate dh_installchangelogs for initscripts

 -- Mark Hindley <leepen@debian.org>  Sat, 01 Jul 2023 08:43:15 +0100

sysvinit (3.07-1~exp1) experimental; urgency=medium

  [ Mark Hindley ]
  * New upstream version 3.07
     - includes Portuguese manpage translation (Closes: #1027945).
  * Remove obsolete handling of /var/log/boot~ and restore rotation of
    /var/log/boot (Closes: #1034069).
  * brightness initscript: don't save value of 0 when stopping.
  * Remove discontinued lintian tag init.d-script-needs-depends-on-lsb-base.
  * Delete patches applied upstream.
  * Refresh patches.

  [ Olivier Gayot ]
  * d/rules: fix installation of 50-ubuntu-logging when building on Ubuntu
    (Closes: #1028586).

 -- Mark Hindley <leepen@debian.org>  Mon, 01 May 2023 11:24:07 +0100

sysvinit (3.06-4ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018596). Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils
    - d/rules: fix installation of 50-ubuntu-logging when building on Ubuntu
      (Closes: #1028586)
  * Dropped changes:
    - Define the DEB_HOST_* variables in d/rules if not defined already

  * The dropped change was undocumented and first introduced in focal. It is
    unclear what it was originally fixing. One assumption is that, when Debian
    started relying on /usr/share/dpkg/common.mk, the file was not present (or
    incomplete) on some architectures in Ubuntu. We have kept this change
    around for nearly four years, potentially for no valid reason.
    In 3.06-2ubuntu1, this change was worded as "Adjust debian/rules to fix an
    arch: all build failure". This is a mistake and should not be trusted.

 -- Olivier Gayot <olivier.gayot@canonical.com>  Sun, 07 May 2023 01:04:33 +0200

sysvinit (3.06-2ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #2007421). Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils
    - Fix absence of changelog.Debian.gz in sysvinit-utils binary package
    - Adjust debian/rules to fix an arch: all build failure
    - d/rules: fix installation of 50-ubuntu-logging when building on Ubuntu

 -- Olivier Gayot <olivier.gayot@canonical.com>  Thu, 16 Feb 2023 14:53:59 +0100

sysvinit (3.05-7ubuntu2) lunar; urgency=medium

  * d/rules: fix installation of 50-ubuntu-logging when building on Ubuntu
    (LP: #2002789)

 -- Olivier Gayot <olivier.gayot@canonical.com>  Fri, 13 Jan 2023 11:33:36 +0100

sysvinit (3.05-7ubuntu1) lunar; urgency=low

  * Merge from Debian unstable (LP: #1998325). Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils
    - Define the DEB_HOST_* variables in d/rules if not defined already
  * Fix absence of changelog.Debian.gz in sysvinit-utils binary package.
    (LP: #1998324)

 -- Olivier Gayot <olivier.gayot@canonical.com>  Wed, 30 Nov 2022 10:32:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sysvinit
 Section: admin
 Priority: optional
-Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
 Uploaders:
  Ian Jackson <ijackson@chiark.greenend.org.uk>,
  Benda Xu <heroxbd@gentoo.org>,

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,7 @@
 
 tmp     = $(CURDIR)/debian/tmp
 sysvtmp = $(CURDIR)/debian/sysvinit-core
-utiltmp = $(CURDIR)/debian/sysvinit-utils
-rctmp   = $(CURDIR)/debian/sysv-rc
 inittmp = $(CURDIR)/debian/initscripts
-bootlogdtmp = $(CURDIR)/debian/bootlogd
 doc	= /usr/share/doc
 
 LC_ALL	= POSIX
@@ -27,6 +24,10 @@
 
 DH_OPTIONS =
 
+ifeq ($(derives_from_ubuntu),yes)
+	DH_OPTIONS = -Nsysvinit-core -Nsysv-rc -Ninitscripts -Nbootlogd
+endif
+
 # Use debhelper's dh
 %:
 	dh $@ $(DH_OPTIONS)
@@ -44,6 +45,7 @@
 override_dh_install-arch:
 	dh_install
 
+ifneq (,$(findstring sysvinit-core, $(shell dh_listpackages)))
 	# sysvinit package
 	if test -e debian/share/inittab.$(DEB_HOST_GNU_TYPE) ; \
 	then \
@@ -59,6 +61,7 @@
 		$(INSTALL_DATA) debian/share/inittab \
 			$(sysvtmp)/usr/share/sysvinit/inittab ; \
 	fi
+endif
 
 	# initscripts package may include /sys
 ifneq (,$(findstring $(DEB_HOST_ARCH_OS),linux kfreebsd))
@@ -66,8 +69,9 @@
 endif
 
 ifeq ($(derives_from_ubuntu),yes)
-ifneq (,$(findstring lsb-base, $(shell dh_listpackages)))
-	cp -p debian/src/lsb-base/init-functions.d/50-ubuntu-logging debian/lsb-base/lib/lsb/init-functions.d/
+ifneq (,$(findstring sysvinit-utils, $(shell dh_listpackages)))
+	cp -p debian/src/lsb-base/init-functions.d/50-ubuntu-logging \
+		debian/sysvinit-utils/lib/lsb/init-functions.d/
 endif
 endif
 
@@ -75,25 +79,17 @@
 	dh $@ $(DH_OPTIONS)
 
 override_dh_installchangelogs-arch:
+ifneq ($(derives_from_ubuntu),yes)
 	dh_installchangelogs -psysvinit-core doc/Changelog
+endif
+	dh_installchangelogs -psysvinit-utils --exclude doc/Changelog
 
-	dh_installchangelogs -psysvinit-utils
-	rm -f $(utiltmp)$(doc)/sysvinit-utils/changelog
-	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
-		$(utiltmp)$(doc)/sysvinit-utils/changelog.Debian
-
+ifneq ($(derives_from_ubuntu),yes)
 	dh_installchangelogs -pbootlogd
-	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
-		$(bootlogdtmp)$(doc)/bootlogd/changelog.Debian
+endif
 
 override_dh_installchangelogs-indep:
 	dh_installchangelogs
-	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
-		$(rctmp)$(doc)/sysv-rc/changelog.Debian
-
-	dh_installchangelogs -pinitscripts
-	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
-		$(inittmp)$(doc)/initscripts/changelog.Debian
 
 override_dh_installdeb:
 	dh_installdeb

## sysvinit 3.08

=== src/Makefile ===
--- 
+++ 
@@ -40,8 +40,8 @@
 
 ifeq ($(DISTRO),Debian)
 CPPFLAGS+= -DACCTON_OFF
-SBIN	+= sulogin bootlogd
-MAN8	+= sulogin.8 bootlogd.8
+SBIN	+= bootlogd
+MAN8	+= bootlogd.8
 MANDB	:=
 endif
 
@@ -64,6 +64,9 @@
 BIN	+= mountpoint
 MAN1	+= mountpoint.1
 endif
+
+MANPAGES:=$(MAN1) $(MAN5) $(MAN8)
+MANPAGES+=$(subst ../man/,,$(foreach man,$(MANPAGES),$(wildcard ../man/??/$(man))))
 
 ID		= $(shell id -u)
 BIN_OWNER	= root
@@ -89,6 +92,8 @@
   SULOGINLIBS	=
 endif
 
+ROOT	?= $(DESTDIR)
+
 # Additional libs for GNU libc.
 ifneq ($(wildcard $(ROOT)/usr/lib*/libcrypt.*),)
   SULOGINLIBS	+= -lcrypt
@@ -208,28 +213,17 @@
 		ln -sf halt $(ROOT)/sbin/reboot
 		ln -sf halt $(ROOT)/sbin/poweroff
 		ln -sf init $(ROOT)/sbin/telinit
-		ln -sf /sbin/killall5 $(ROOT)/bin/pidof
+		ln -sf ../sbin/killall5 $(ROOT)/bin/pidof
 		if [ ! -f $(ROOT)/usr/bin/lastb ]; then \
 			ln -sf last $(ROOT)/usr/bin/lastb; \
 		fi
 		$(INSTALL_DIR) $(ROOT)/usr/include/
 		$(INSTALL_DATA) initreq.h $(ROOT)/usr/include/
-		for lang in  '' $(subst ../man/,,$(wildcard ../man/po/??/)); do \
-			$(INSTALL_DIR) $(ROOT)$(MANDIR)/man1/$$lang; \
-			$(INSTALL_DIR) $(ROOT)$(MANDIR)/man5/$$lang; \
-			$(INSTALL_DIR) $(ROOT)$(MANDIR)/man8/$$lang; \
-		done
-		for man in $(MAN1) $(subst ../man/,,$(foreach man,$(MAN1),$(wildcard ../man/??/$(man)))); do \
-			$(INSTALL_DATA) ../man/$$man $(ROOT)$(MANDIR)/man1/$$man; \
-			sed -i "1{ $(MANDB); }" $(ROOT)$(MANDIR)/man1/$$man ; \
-		done
-		for man in $(MAN5) $(subst ../man/,,$(foreach man,$(MAN5),$(wildcard ../man/??/$(man)))); do \
-			$(INSTALL_DATA) ../man/$$man $(ROOT)$(MANDIR)/man5/$$man; \
-			sed -i "1{ $(MANDB); }" $(ROOT)$(MANDIR)/man5/$$man ; \
-		done
-		for man in $(MAN8) $(subst ../man/,,$(foreach man,$(MAN8),$(wildcard ../man/??/$(man)))); do \
-			$(INSTALL_DATA) ../man/$$man $(ROOT)$(MANDIR)/man8/$$man; \
-			sed -i "1{ $(MANDB); }" $(ROOT)$(MANDIR)/man8/$$man ; \
+		for man in $(MANPAGES) ; do \
+		    targetdir=$(ROOT)$(MANDIR)/$$(dirname $$man)/man$${man##*.}; \
+		    $(INSTALL_DIR) $$targetdir; \
+		    $(INSTALL_DATA) ../man/$$man $$targetdir/$$(basename $$man); \
+		    sed -i "1{ $(MANDB); }" $$targetdir/$$(basename $$man); \
 		done
 ifeq ($(ROOT),)
 		#

=== debian/changelog ===
sysvinit (3.08-6ubuntu3) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:20:36 +0200

sysvinit (3.08-6ubuntu2) noble; urgency=medium

  [ Helmut Grohne ]
  * DEP17: Move files to /usr. (Closes: #1060139)

  [ Julian Andres Klode ]
  * Adjust DEP17 move for Ubuntu

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 13:40:25 +0100

sysvinit (3.08-6ubuntu1) noble; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 21 Feb 2024 12:36:24 -0600

sysvinit (3.08-6) unstable; urgency=medium

  * d/sysvinit-core.postinst: don't do_restart() for new installations.
    (Closes: #1061280)

 -- Mark Hindley <leepen@debian.org>  Thu, 25 Jan 2024 17:43:34 +0000

sysvinit (3.08-5) unstable; urgency=medium

  * Add Greek debconf translation with thanks to Dimitris
    <dimitris@stinpriza.org>.
  * hwclock.sh: support HURD direct ISA I/O. (Closes: #1057634)
  * d/control: initscripts demote util-linux-extra to Recommends.
  * Restore sequencing prefix 85 to hwclock rules file.


 -- Mark Hindley <leepen@debian.org>  Wed, 06 Dec 2023 15:02:37 +0000

sysvinit (3.08-4) experimental; urgency=medium

  [ Guillem Jover ]
  * initscripts: Set PATH in udev init script to include stat program.

  [ Johannes Schauer Marin Rodrigues ]
  * postinst: respect DPKG_ROOT environment variable (Closes: #1056213).

  [ Mark Hindley ]
  * Update Swedish debconf translation with thanks to Martin Bagge
    <brother@persilja.net>.  (Closes: #1056954)

 -- Mark Hindley <leepen@debian.org>  Mon, 27 Nov 2023 18:45:44 +0000

sysvinit (3.08-3ubuntu1) noble; urgency=low

  * Merge with Debian Unstable. Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 20 Nov 2023 17:34:46 -0600

sysvinit (3.08-3) unstable; urgency=medium

  * Release to unstable

 -- Mark Hindley <leepen@debian.org>  Mon, 09 Oct 2023 20:17:56 +0100

sysvinit (3.08-2) experimental; urgency=medium

  * initscripts: take over hwclock machinery from util-linux-extra
    (Closes: #934463).

 -- Mark Hindley <leepen@debian.org>  Sun, 01 Oct 2023 12:06:22 +0100

sysvinit (3.08-1) unstable; urgency=medium

  * New upstream version 3.08
  * Add patch to fix man/Makefile clean recipe (Closes: #1047054).
  * Takeover udev initscript from src:systemd (Closes: #1042082).

 -- Mark Hindley <leepen@debian.org>  Sun, 17 Sep 2023 20:10:53 +0100

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
 Conflicts:
  systemd-sysv,
  runit-init,
+ molly-guard (<< 0.8.3~),
 Breaks:
  manpages-es (<< 4.15.0-9~),
  manpages-fr (<< 4.15.0-9~),
@@ -104,6 +105,11 @@
 Recommends:
  e2fsprogs,
  psmisc,
+ util-linux-extra,
+Breaks: udev (<<  254.3-1),
+	util-linux-extra (<< 2.39.2-2.1~)
+Replaces: udev (<<  254.3-1),
+	  util-linux-extra (<< 2.39.2-2.1~)
 Description: scripts for initializing and shutting down the system
  The scripts in this package initialize a standard Debian
  system at boot time and shut it down at halt or reboot time.

=== debian/rules ===
--- 
+++ 
@@ -71,7 +71,7 @@
 ifeq ($(derives_from_ubuntu),yes)
 ifneq (,$(findstring sysvinit-utils, $(shell dh_listpackages)))
 	cp -p debian/src/lsb-base/init-functions.d/50-ubuntu-logging \
-		debian/sysvinit-utils/lib/lsb/init-functions.d/
+		debian/sysvinit-utils/usr/lib/lsb/init-functions.d/
 endif
 endif
 
@@ -101,11 +101,11 @@
 	ln -s halt-sysv.8.gz $(sysvtmp)/usr/share/man/man8/reboot-sysv.8.gz
 	rm $(sysvtmp)/usr/share/man/man8/poweroff.8.gz
 	ln -s halt-sysv.8.gz $(sysvtmp)/usr/share/man/man8/poweroff-sysv.8.gz
-	mv $(sysvtmp)/sbin/halt $(sysvtmp)/sbin/halt-sysv
-	rm $(sysvtmp)/sbin/reboot
-	ln -s halt-sysv $(sysvtmp)/sbin/reboot-sysv
-	rm $(sysvtmp)/sbin/poweroff
-	ln -s halt-sysv $(sysvtmp)/sbin/poweroff-sysv
+	mv $(sysvtmp)/usr/sbin/halt $(sysvtmp)/usr/sbin/halt-sysv
+	rm $(sysvtmp)/usr/sbin/reboot
+	ln -s halt-sysv $(sysvtmp)/usr/sbin/reboot-sysv
+	rm $(sysvtmp)/usr/sbin/poweroff
+	ln -s halt-sysv $(sysvtmp)/usr/sbin/poweroff-sysv
 endif
 
 override_dh_clean:

## sysvinit 3.09

=== debian/changelog ===
sysvinit (3.09-2.0antix1) unstable; urgency=medium

  * set as non essential

 -- anticapitalista <antix@operamail.com>  Mon, 17 Jun 2024 12:03:59 +0300

sysvinit (3.09-2) unstable; urgency=medium

  [ Mark Hindley ]
  * bootlogd.init: fix path in check for running under systemd.
    (Closes: #1072011)
  * Declare interest in libc-upgrade trigger. (Closes: #1072375)
  * d/sysvinit-core.postinst:
    - refactor.
    - remove obsolete /dev/initctl -> /run migration.
    - support "triggered".
  * d/control: bump Standards Version (no changes).

  [ Thorsten Glaser <tg@mirbsd.de> ]
  * Save initramfs fsck logs to /var/log/fsck/.

 -- Mark Hindley <leepen@debian.org>  Thu, 13 Jun 2024 18:20:51 +0100

sysvinit (3.09-1) unstable; urgency=medium

  * New upstream version 3.09
  * Drop patch applied upstream.
  * /etc/init.d/rc.local: stop in runlevels 0 6 so rc.shutdown is run.
  * d/control:
    - add Salsa as Homepage for initscripts and sysv-rc.
    - fix typo in sysvinit-utils description. (Closes: #1069177)

 -- Mark Hindley <leepen@debian.org>  Wed, 17 Apr 2024 12:58:59 +0100

sysvinit (3.08-7) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * sysvinit-core.postinst: remove code handling /etc/inittab with missing
    entries (Closes: #1063629)
  * initscripts.postinst: avoid calling uname for non-empty DPKG_ROOT
    (Closes: #1063639)

  [ Helmut Grohne ]
  * DEP17: Move files to /usr. (Closes: #1060139)

  [ Mark Hindley ]
  * Delete unused debconf machinery now there are no templates (lintian).

 -- Mark Hindley <leepen@debian.org>  Thu, 29 Feb 2024 11:22:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sysvinit
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
+Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
 Uploaders:
  Ian Jackson <ijackson@chiark.greenend.org.uk>,
  Benda Xu <heroxbd@gentoo.org>,
@@ -12,10 +11,9 @@
 Build-Depends:
  debhelper-compat (= 13),
  libselinux1-dev [linux-any],
- po-debconf,
  po4a,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/slicer69/sysvinit
 Vcs-Git: https://salsa.debian.org/debian/sysvinit.git
 Vcs-Browser: https://salsa.debian.org/debian/sysvinit
@@ -63,8 +61,6 @@
  other processes are descended from it.
 
 Package: sysvinit-utils
-Priority: required
-Essential: yes
 Architecture: any
 Multi-Arch: foreign
 Depends:
@@ -80,9 +76,10 @@
  init-d-script, fstab-decode, killall5, pidof
  .
  It also contains the library scripts sourced by init-d-script and other
- initscripts that were formally in lsb-base.
+ initscripts that were formerly in lsb-base.
 
 Package: sysv-rc
+Homepage: https://salsa.debian.org/debian/sysvinit
 Architecture: all
 Multi-Arch: foreign
 Depends:
@@ -96,6 +93,7 @@
  configured through symbolic links in /etc/rc?.d/.
 
 Package: initscripts
+Homepage: https://salsa.debian.org/debian/sysvinit
 Architecture: all
 Multi-Arch: foreign
 Depends:

## sysvinit 3.10

=== debian/changelog ===
sysvinit (3.10-3) unstable; urgency=medium

  * init-d-script:
    - support capabilities by wrapping s-s-d with setpriv.
    - when stopping, send CONT signal before TERM.

 -- Mark Hindley <leepen@debian.org>  Tue, 15 Oct 2024 18:46:37 +0100

sysvinit (3.10-2) unstable; urgency=medium

  * rc.local: fix misplaced stop levels in LSB header. (Closes: #1081435)

 -- Mark Hindley <leepen@debian.org>  Wed, 11 Sep 2024 18:09:54 +0100

sysvinit (3.10-1) unstable; urgency=medium

  * New upstream version 3.10
    - includes reformatting of shutdown.8 (Closes: #1076822).
  * d/control: Update versioned Conflicts to handle DEP17 ineffective
    diversions for more diverters.  Thanks to Helmut Grohne
    <helmut@subdivi.de> (Closes: #1065146)

 -- Mark Hindley <leepen@debian.org>  Tue, 06 Aug 2024 16:16:21 +0100

## sysvinit 3.11

=== debian/changelog ===
sysvinit (3.11-1) unstable; urgency=medium

  * New upstream version 3.11.
    - includes manpage fixes (Closes: #905244, #1078731,
      #1082812).
  * Drop patch fixed upstream.

 -- Mark Hindley <leepen@debian.org>  Wed, 23 Oct 2024 09:33:27 +0100

=== debian/control ===
--- 
+++ 
@@ -32,6 +32,8 @@
  systemd-sysv,
  runit-init,
  molly-guard (<< 0.8.3~),
+ bfh-container (<< 20211009-24~),
+ progress-linux-container (<< 20221002-12~),
 Breaks:
  manpages-es (<< 4.15.0-9~),
  manpages-fr (<< 4.15.0-9~),
@@ -61,6 +63,8 @@
  other processes are descended from it.
 
 Package: sysvinit-utils
+Priority: required
+Essential: yes
 Architecture: any
 Multi-Arch: foreign
 Depends:

## sysvinit 3.13

=== src/Makefile ===
--- 
+++ 
@@ -40,8 +40,8 @@
 
 ifeq ($(DISTRO),Debian)
 CPPFLAGS+= -DACCTON_OFF
-SBIN	+= bootlogd
-MAN8	+= bootlogd.8
+SBIN	+= sulogin bootlogd
+MAN8	+= sulogin.8 bootlogd.8
 MANDB	:=
 endif
 
@@ -64,9 +64,6 @@
 BIN	+= mountpoint
 MAN1	+= mountpoint.1
 endif
-
-MANPAGES:=$(MAN1) $(MAN5) $(MAN8)
-MANPAGES+=$(subst ../man/,,$(foreach man,$(MANPAGES),$(wildcard ../man/??/$(man))))
 
 ID		= $(shell id -u)
 BIN_OWNER	= root
@@ -80,7 +77,15 @@
   INSTALL_DATA	= install -m 644
 endif
 INSTALL_DIR	= install -m 755 -d
-MANDIR		= /usr/share/man
+
+ROOT         ?=
+usrdir       ?= /usr
+base_bindir  ?= /bin
+base_sbindir ?= /sbin
+bindir       ?= /$(usrdir)/bin
+sysconfdir   ?= /etc
+includedir   ?= /$(usrdir)/include
+mandir       ?= /$(usrdir)/share/man
 
 ifeq ($(WITH_SELINUX),yes)
   SELINUX_DEF	=  -DWITH_SELINUX
@@ -92,15 +97,13 @@
   SULOGINLIBS	=
 endif
 
-ROOT	?= $(DESTDIR)
-
 # Additional libs for GNU libc.
-ifneq ($(wildcard $(ROOT)/usr/lib*/libcrypt.*),)
+ifneq ($(wildcard $(ROOT)/$(usrdir)/lib*/libcrypt.*),)
   SULOGINLIBS	+= -lcrypt
 endif
 
 # Additional libs for GNU libc / multiarch on Debian based systems.
-ifneq ($(wildcard $(ROOT)/usr/lib/*/libcrypt.*),)
+ifneq ($(wildcard $(ROOT)/$(usrdir)/lib/*/libcrypt.*),)
 ifneq ($(findstring -lcrypt, $(SULOGINLIBS)), -lcrypt)
   SULOGINLIBS	+= -lcrypt
 endif
@@ -196,34 +199,48 @@
 distclean:	clobber
 
 install:	all
-		$(INSTALL_DIR) $(ROOT)/bin/ $(ROOT)/sbin/
-		$(INSTALL_DIR) $(ROOT)/usr/bin/
+		$(INSTALL_DIR) $(ROOT)$(base_bindir)/ $(ROOT)$(base_sbindir)/
+		$(INSTALL_DIR) $(ROOT)$(bindir)/
 		for i in $(BIN); do \
-			$(INSTALL_EXEC) $$i $(ROOT)/bin/ ; \
+			$(INSTALL_EXEC) $$i $(ROOT)$(base_bindir)/ ; \
 		done
 		for i in $(SBIN); do \
-			$(INSTALL_EXEC) $$i $(ROOT)/sbin/ ; \
+			$(INSTALL_EXEC) $$i $(ROOT)$(base_sbindir)/ ; \
 		done
 		for i in $(USRBIN); do \
-			$(INSTALL_EXEC) $$i $(ROOT)/usr/bin/ ; \
-		done
-		# $(INSTALL_DIR) $(ROOT)/etc/
-		$(INSTALL_DIR) $(ROOT)/etc/inittab.d
-		# $(INSTALL_EXEC) ../doc/initscript.sample $(ROOT)/etc/
-		ln -sf halt $(ROOT)/sbin/reboot
-		ln -sf halt $(ROOT)/sbin/poweroff
-		ln -sf init $(ROOT)/sbin/telinit
-		ln -sf ../sbin/killall5 $(ROOT)/bin/pidof
-		if [ ! -f $(ROOT)/usr/bin/lastb ]; then \
-			ln -sf last $(ROOT)/usr/bin/lastb; \
+			$(INSTALL_EXEC) $$i $(ROOT)$(bindir)/ ; \
+		done
+		# $(INSTALL_DIR) $(ROOT)/$(sysconfdir)/
+		$(INSTALL_DIR) $(ROOT)/$(sysconfdir)/inittab.d
+		# $(INSTALL_EXEC) ../doc/initscript.sample $(ROOT)/$(sysconfdir)/
+		ln -sf halt $(ROOT)$(base_sbindir)/reboot
+		ln -sf halt $(ROOT)$(base_sbindir)/poweroff
+		ln -sf init $(ROOT)$(base_sbindir)/telinit
+		ln -sf $(base_sbindir)/killall5 $(ROOT)$(base_bindir)/pidof
+		if [ ! -f $(ROOT)$(bindir)/lastb ]; then \
+			ln -sf last $(ROOT)$(bindir)/lastb; \
 		fi
-		$(INSTALL_DIR) $(ROOT)/usr/include/
-		$(INSTALL_DATA) initreq.h $(ROOT)/usr/include/
-		for man in $(MANPAGES) ; do \
-		    targetdir=$(ROOT)$(MANDIR)/$$(dirname $$man)/man$${man##*.}; \
-		    $(INSTALL_DIR) $$targetdir; \
-		    $(INSTALL_DATA) ../man/$$man $$targetdir/$$(basename $$man); \
-		    sed -i "1{ $(MANDB); }" $$targetdir/$$(basename $$man); \
+		$(INSTALL_DIR) $(ROOT)$(includedir)/
+		$(INSTALL_DATA) initreq.h $(ROOT)$(includedir)/
+		for lang in  '' $(patsubst ../man/po/%.po,%,$(wildcard ../man/po/??.po)); do \
+			$(INSTALL_DIR) $(ROOT)$(mandir)/$$lang/man1; \
+			$(INSTALL_DIR) $(ROOT)$(mandir)/$$lang/man5; \
+			$(INSTALL_DIR) $(ROOT)$(mandir)/$$lang/man8; \
+		done
+		for man in $(MAN1) $(subst ../man/,,$(foreach man,$(MAN1),$(wildcard ../man/??/$(man)))); do \
+			install_target=$(ROOT)$(mandir)/$${man%$${man##*/}}man1/$${man##*/} ; \
+			$(INSTALL_DATA) ../man/$$man $$install_target ; \
+			sed -i "1{ $(MANDB); }" $$install_target ; \
+		done
+		for man in $(MAN5) $(subst ../man/,,$(foreach man,$(MAN5),$(wildcard ../man/??/$(man)))); do \
+			install_target=$(ROOT)$(mandir)/$${man%$${man##*/}}man5/$${man##*/} ; \
+			$(INSTALL_DATA) ../man/$$man $$install_target ; \
+			sed -i "1{ $(MANDB); }" $$install_target ; \
+		done
+		for man in $(MAN8) $(subst ../man/,,$(foreach man,$(MAN8),$(wildcard ../man/??/$(man)))); do \
+			install_target=$(ROOT)$(mandir)/$${man%$${man##*/}}man8/$${man##*/} ; \
+			$(INSTALL_DATA) ../man/$$man $$install_target ; \
+			sed -i "1{ $(MANDB); }" $$install_target ; \
 		done
 ifeq ($(ROOT),)
 		#

=== debian/changelog ===
sysvinit (3.13-1.0antix1) unstable; urgency=medium

  * set as non essential

 -- anticapitalista <antix@operamail.com>  Fri, 10 Jan 2025 18:01:38 +0200

sysvinit (3.13-1) unstable; urgency=medium

  * New upstream version 3.13, includes manpage fixes for init.8 and pidof.8
    (Closes: #1087343, #1087584)
  * d/sysvinit-core.postinst:
    - drop remaining parts of /run/initctl migration: no longer HUP PID 1.
      (Closes: #1092150)
    - remove $DPKG_ROOT from directory test: nonsensical after previous test.

 -- Mark Hindley <leepen@debian.org>  Tue, 07 Jan 2025 09:26:24 +0000

=== debian/control ===
--- 
+++ 
@@ -63,8 +63,6 @@
  other processes are descended from it.
 
 Package: sysvinit-utils
-Priority: required
-Essential: yes
 Architecture: any
 Multi-Arch: foreign
 Depends:
